XOOPS 2.5.x Changelog (Language changes: see: /docs/lang_diff.txt)

===================================
2.5.11 Final             2023/12/24
===================================

* Deprecate \XoopsObject::setFormVars() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/675
* Unneeded by reference by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/677
* Implement Xmf\Request for input by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/679
* Fix install error under MySQL in ANSI mode by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/681
* Add noopener rel attribute to external links in TextSanitizer by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/684
* Fix https://github.com/XOOPS/XoopsCore25/issues/686 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/687
* jQuery 3.4.1 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/690
* Create XoopsFormRendererBootstrap4.php by @tad0616 in https://github.com/XOOPS/XoopsCore25/pull/667
* Update xoopsload.php by @tad0616 in https://github.com/XOOPS/XoopsCore25/pull/668
* Update admin.php by @poehoes in https://github.com/XOOPS/XoopsCore25/pull/673
* htmlpurifier-4.11.0 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/689
* Remove array access with curly brackets by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/692
* removed uneeded ucfirst by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/694
* templates missing apostrophes by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/693
* 2.5.11- starting Alpha cycle by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/688
* Fixed #695 issue with synchronize in admin->users by @fabou78 in https://github.com/XOOPS/XoopsCore25/pull/697
* Vulnerability with image manager (admin) CVE-2019-16683 and CVE-2019-… by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/698
* Escape Tooltip Text by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/699
* Handle negative ini sizes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/703
* Fix issue with image_display and permissions by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/700
* Remove zetadigme admin theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/701
* Minor tweak to Maintenance by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/702
* Fix https://github.com/XOOPS/XoopsCore25/issues/704 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/705
* Reset Typography Controls when focus lost by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/707
* Incorrect tooltip in image manager category list by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/709
* Move xswatch templates to NewBB V5 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/711
* Fix https://github.com/XOOPS/XoopsCore25/issues/713 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/714
* HTML Purifier 4.12 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/712
* New module page by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/717
* Add smarty "xoops_modulepage" by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/716
* Fix the errors related to this modification https://github.com/XOOPS/… by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/718
* fix https://github.com/XOOPS/XoopsCore25/issues/719 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/720
* phpmailer to 5.2.27 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/721
* Replace glyphicon based controls with font-awesome by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/722
* Simplify tooltips by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/724
* phpthumb patches by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/725
* Silence magic quotes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/726
* Add docs and example of proxy_env by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/727
* Library updates by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/728
* Attempt graceful failure on missing theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/729
* Get 'sel' vars from GET explicitly by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/733
* Handle special case of admin themes in checks by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/734
* Remove broken caching by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/736
* Mail Tweaks by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/737
* Get description for edit by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/740
* Smooth some rough edges in Bootstrap v4 support by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/743
* Refresh inbox count cache when using pm programs by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/744
* Remove debug statement by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/745
* More Bootstrap 4 tweaks by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/746
* Skip nl2Br() if html detected in MyTextSanitizer::displayTarea() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/747
* fix calandar by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/748
* use smarty in xoops_confirm() by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/750
* Add system_confirm.tpl to xswatch by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/751
* include global.php in template.php  by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/752
* Type fixes in XoopsMySQLDatabase by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/754
* Remove dead list type by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/756
* Escaping issue by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/757
* Do not load jquery.js if already loaded by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/759
* Don't backtick a function call by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/760
* Allow comment instead of blank title by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/762
* Update Help page for blocks admin by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/763
* Remove locale specific date format for calendar.js by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/765
* Add xswatch4 theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/766
* add xmsocial rating for xmnews bt4 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/767
* Libraries update by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/768
* Updates to bootstrap v3 based themes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/769
* Version 2.5.11-Beta1 prep by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/770
* Update tpl xmmodules by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/772
* fix errors with xmsocial by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/776
* Fix NEWBB_NOTOPIC error by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/777
* New clean favicon.ico by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/779
* Correct issues in dhtmltextarea by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/780
* Fix:https://github.com/XOOPS/XoopsCore25/issues/783 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/784
* Tweak feeds used in XOOPS News in admin.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/785
* Update tpl for bt4 and fix error author in block by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/786
* Update xm by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/788
* Add XoopsHttpGet, deprecate Snoopy by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/787
* Remove unreferenced templates by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/792
* The message as an error was annoying  :) by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/795
* Fix docblock \XoopsNotificationHandler::triggerEvent() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/796
* extCal updates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/790
* cloning of all xswatch derivatives by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/798
* Update xm by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/799
* Error when no modules installed by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/800
* js security update bootstrap 3.4.1 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/801
* Small tweek to pm module by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/802
* Update xmmodule by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/803
* cosmetic bt4 modifications by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/804
* phpThumb 1.7.15-202002130926 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/808
* Convert to English by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/813
* Fix Profile Index Template by @liomj in https://github.com/XOOPS/XoopsCore25/pull/821
* Admin user sync by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/829
* Update to official tagged phpthumb 1.7.15 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/824
* Update xmmodule by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/834
* Security update jquery 3.5.1 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/835
* change of _MEDIUMDATESTRIN by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/838
* Template patches for Newbb 5.0 Final by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/839
* Cumulative theme related updates by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/842
* Add options text editing to profile field edit by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/841
* Fix: Avertissement: count(): Parameter must be an array or an object … by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/843
* Update user.php by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/845
* Return proper null value for integer columns by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/849
* Add macro substitutions for {X_SITEURL} and {X_YEAR} by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/850
* Patch a few issues when using PHP 8 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/851
* Upstream patch for dropdown text contrast issue by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/852
* allow StdClass to be cast to array when compiling foreach by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/853
* latest changes from https://github.com/JamesHeinrich/phpThumb by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/854
* HTML Purifier 4.13.0 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/855
* Changelog updates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/856
* PHPMailer 5.2.28 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/857
* jQuery Form 4.3 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/858
* Update to tablesorter-2.31.3 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/859
* Case mismatch by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/862
* PHP 8 Fixes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/863
* Add all selected users in XoopsFormSelectUser by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/864
* Library updates for XMF 1.2.20 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/870
* Fix errors seen in PHP 8 in pm module templates by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/872
* Magic __wakeup() method must be public by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/871
* Remove debug info by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/874
* PHP 8 issues in system maintenance by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/875
* Template fixes user and profile for php8 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/877
* Update xswatch4 to bootstrap/bootswatch 4.5.2 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/878
* Remove debugging code by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/879
* Fix errors in user avatar templates under php 8 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/880
* Add map file to quiet Chrome error by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/881
* Customized Smarty debug.tpl by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/882
* replacing index.html with index.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/884
* short array push syntax on a string by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/885
* Revert "replacing index.html with index.php" by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/886
* Replace index.html with index.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/889
* Restore missing xoops_data/caches directories by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/891
* Malformed constant __MINWIDTHIMAGEERROR by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/892
* Image manager cleanup by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/893
* Restore xoops_data/protector directory by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/894
* Fix system breadcrumbs by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/895
* Clean up image manager display by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/896
* update for using index.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/897
* Class css for captcha text by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/905
* Update preferences.php by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/906
* Update xmtemplates php8 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/913
* Countable by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/911
* https by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/887
* add PHP8 defaults in templates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/909
* Message profil by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/908
* array check by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/912
* Bug with captcha by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/916
* Diff for 906 update by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/917
* add {X_NAME} tag for mailusers by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/920
* Disable Flash by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/922
* Responsive xswatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/868
* Fix issues in DHTMLTextArea support by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/924
* newbbPHP8_xbootstrap by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/926
* Mark deleted PM as read by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/929
* Update system_images.tpl by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/928
* fix php8 (Warning: Undefined array key "blocks" in file /xoops_data/c… by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/930
* Require fileinfo PHP extension during install by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/931
* Add {X_SITEURL} and {X_YEAR} to site closed page by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/932
* Fix unclosed comment by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/933
* simplify load of modinfo by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/937
* Remove phpthumb library by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/939
* fix for version number as string by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/938
* Library refresh by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/940
* Add two new events by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/941
* Update Xmf by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/942
* Recognize error return from db->query() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/943
* Feature/scrutinizer by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/945
* fix for  "array to string conversion error" by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/944
* Bad form in profile_userinfo.tpl by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/946
* Standardize user.php functions by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/948
* Protector config cache for htmlpurifier written to xoops_lib, should go to xoops_data by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/949
* Add sort on step_order, fix form by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/951
* Make $redirect_message available in system_siteclosed.tpl by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/952
* Wrong default for debugLevel configuration by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/953
* Fix failing updates to banner table by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/954
* Now the admin menu only displays useful links: by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/956
* Change a few remaining index.html to index.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/958
* extra XOOPS Links in Admin (Themes and Modules) by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/957
* Don't overwrite configuration data on upgrades by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/959
* Responsive blocks by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/961
* add real name to Admin's user table view by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/962
* missing index.php files by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/960
* Feature/various by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/963
* missing array in 2.5.11 upgrade by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/964
* Unify XoopsBlock definition by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/968
* Fix composer config platform php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/970
* jQuery 3.6.0 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/972
* Errors using XOOPS_VAR_PATH early in install by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/973
* Fix https://github.com/GregMage/xmnews/issues/41 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/976
* Add default for $xoops_logdump by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/978
* Update templates for xmcontent 1.5 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/979
* Allow for override of any template in admin themes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/982
* fix for version number as string by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/981
* Incorrect template specified by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/985
* Fix: https://github.com/XOOPS/XoopsCore25/issues/986 Comment text is … by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/987
* Template page nav by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/980
* Cpanel aware smarty compile id's by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/991
* Improve performance of admin users page by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/990
* Cannot use method return in write context error by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/988
* Fix pagenav in protector center by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/992
* Removing dependencies on index.html files by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/993
* Block 'Waiting Contents' is deprecated by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/994
* now the form is responsive by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/995
* Add templates to misc.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/998
* Test xswatch4 dark - typo error in the theme.tpl file by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1000
* Introduce prefers-color-scheme media queries by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/999
* Fresh library build by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1001
* Updates for xswatch4 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1003
* Remove FILTER_SANITIZE_MAGIC_QUOTES in system_CleanVars() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1004
* Fix bug with bloc on-line. by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1005
* Show theme description in Select Theme install dialog by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1006
* Revert "Fix bug with bloc on-line." by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1007
* Delete phantom anonymous entry in online left when user logs in by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1008
* Prototype admin dark mode theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1010
* Add uploads/files directory to writable list by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1012
* Respect smilies table display column by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1013
* Darken form entry fields by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1014
* Bootstrap 4 online templates for xswatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1015
* default for $xoops_language by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1016
* $modules|default:null by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1017
* THEME_FORUM_REPLY by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1018
* check for $result by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1020
* Feature/class xoopsblock.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1019
* fix for function.block.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1021
* update template for xmdoc V1.2 final by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1022
* Bootstrap4 templates from misc.php by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1023
* Skip scan if directory is not present by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1024
* SameSite cookie attribute by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1026
* Supply default value for avatar template variables by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1027
* Explicitly set default mysqli_report(MYSQLI_REPORT_OFF) by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1028
* Cleanup a few issues noted in Profile by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1029
* Fix php8 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1030
* Dark admin theme update by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1031
* Dark admin rework by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1032
* PHP8 newbb template update by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1033
* One last pass on dark admin theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1035
* Libraries rebuild by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1037
* Create XoopsFormRendererBootstrap5.php by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1038
* Add xoopsformrendererbootstrap5 to XoopsLoad by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1039
* new icon by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1044
* Fix incorrect path names by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1042
* Some theme/themeability issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1043
* adding defaults for PHP8 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1046
* label content should have also id (for 'label_for') by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1048
* calendar div needs z-index in order to be shown on highest level by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1049
* additional global language variables by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1054
* replace includeq with include in Smarty by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1059
* replace foreachq with foreach in Smarty templates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1058
* Bootstrap V4.5.2 to 4.6.0 for xSwatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1063
* tablesorter widgets and blue theme by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1062
* missed file by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1068
* Ensure variable is defined by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1067
* Fix incorrect name for XoopsConfigCategory object variable by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1069
* Fix incorrect variable for GroupMembership object by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1070
* Return of ints in XoopsModelStats::getCount() and getCounts() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1071
* Force array for groups XoopsMemberHandler::getUserCountByGroupLink() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1072
* Ensure variable is defined by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1073
* Check for correct object type by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1075
* Cosmetic changes in theme.tpl - xswatch4 theme by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1094
* xSwatch4 options by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1100
* Replace hardcoded english text in protector stats graph by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1097
* add admin.css by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1104
* Add default for xo_sys_breadcrumb by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1107
* Display warning if xml extension not available by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1102
* Remove Google Swiffy references by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1140
* add dirname in block title by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1125
* fix: https://github.com/XOOPS/XoopsCore25/issues/1144 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1145
* Change define in the system module by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1142
* Add \XoopsDatabase::isResultSet() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1141
* add missing argument by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1149
* Change mcrypt_create_iv() to random_bytes() by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1148
* Updated XM module templates by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1150
* Feature/php81 xbootstrap by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1135
* The index.php file is deleted and created after a cache delete operation by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1147
* Link for 'This Module Admin' after module install by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1146
* Bootstrap V4.6.0 to 4.6.1 for xSwatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1127
* bt4 search for xswatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1124
* Add version number to module name in toolbar, similar to what we have… by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1152
* Review filter and escape in findusers  by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1153
* request_findusers by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1131
* Smarty v2.6.32 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1130
* Undefined constant "next" by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1159
* XS4-fix-base-css by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1160
* xoops.css url "/image/" by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1162
* HTML Purifier 4.14.0 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1164
* Update theme.tpl - my_xoops.css and my_xoops_dark.css by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1161
* add warning message in admin by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1123
* add link to image of an activated module by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1055
* delete xcache.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1170
* Skip prettified protector log if not supported by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1169
* Address issues with br tags in form trays by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1171
* hack for proper displaying of form element trays in bootstrap 4 and 5 by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1051
* replacing includeq and foreachq by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1168
* A less aggressive \MyTextSanitizer::makeClickable() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1172
* refactor XoopsRequest to Xmf\Request by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1174
* Fix bug issue #1114 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1178
* Add trailing end of line by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1176
* adding sorting to default theme by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1175
* Revert "adding sorting to default theme" by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1180
* Fix non-conforming id elements in module menu tabs by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1179
* Remove unused composer files from phpmailer directory by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1181
* Correct docblock for getHandler and getModuleHandler by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1182
* Fix return value in deprecated XoopsBlock::store() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1183
* Formcaptcha option2 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1120
* Fix issues with Bad IP list in Protector Center by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1185
* Fix Passing null to parameter ... of type string errors by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1186
* XoopsNotification::getByItemId() uses wrong column info by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1187
* Add missing \XoopsConfigOptionHandler::getCount() method by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1188
* PhpDoc change to mixed by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1165
* Passing null to parameter of type string by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1189
* Cleanup in \XoopsSecurity::checkBadips() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1190
* Respect method arguments $start and $limit by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1191
* Fix some frequently seen DOM issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1192
* \XoopsModule::$adminmenu not always properly initialized by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1193
* Null to string issue in xoAppUrl by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1194
* Scrutinizer recent complaints by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1195
* Mini stats Smarty plugin xoStats by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1197
* all modules are using 'id", and this is causing issues in PHP8 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1199
* New version system by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1126
* scrutinizer3  by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1200
* varchar(12) to varchar(32) version by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1205
* trim() expects parameter 1 to be string, array given by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1203
* Add .tpl extension option for module_index help file #482 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1201
* Propagate recent default admin theme changes to dark and transition by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1207
* Clear some Smarty and other php8.1 issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1206
* Some php8.1 fixes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1210
* Avatar display in misc.php should respect avatar_display by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1209
* Passing null to parameter #1 ($string) of type string is deprecated by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1211
* Deal with each() removal by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1216
* Convert comment posting to use Xmf\Request by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1218
* Reviewing Protector by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1217
* In PHP 8.1, the default error handling is set to throw an exception by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1219
* trim() expects a string, null given by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1221
* Unknown: preg_match(): Passing null to parameter #2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1225
* Implement new module version in system module install by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1222
* Fix module admin breadcrumb by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1224
* Smarty defaults by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1226
* Update to XMF 1.2.26 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1227
* Missing files from PR 1227 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1228
* changelog 2.5.11 Beta 2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1246
* update changelog.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1251
* remove /thadmin by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1236
* Add phar wrapper check to protector by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1250
* jQuery_3.6.1_install by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1254
* jQuery UI 1.13.1 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1233
* check_$_REQUEST_modules  by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1256
* Xoops Editor TinyMCE 5 by @ForXoops in https://github.com/XOOPS/XoopsCore25/pull/1053
* utf8mb4 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1257
* Remove xswatch theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1263
* Correct \MyTextSanitizer::makeClickable() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1265
* Disallow classes in unserialize by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1266
* Undefined array key 0 in file protector.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1252
* PHP 8.2: Dynamic Properties are deprecated by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1253
* isResultSet_1 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1255
* PHP_8.2_Dynamic_Properties_are_deprecated_2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1258
* change folder sorting in Installation, Issue #1248 (alain01/mamba) by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1262
* HTML Purifier 4.15 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1267
* mysqli_fetch_object() requires mysqli_result by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1268
* remove "deprecated" for censorString() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1281
* Restrict paths to inside XOOPS_THEME_PATH by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1282
* Issues 1269 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1271
* adding divider in newbb thread template by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1283
* fix for https://github.com/XOOPS/XoopsCore25/issues/1284 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1285
* adding the link on the name as in (XoopsUserUtility::getUnameFromId). by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1279
* Fix issues in moving captcha configuration files by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1277
* wrong return by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1276
* $myts name consistencies, cleanup by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1275
* template defaults by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1278
* change utf8 to utf8mb4 in install by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1272
* PHP 8.2 Partially Supported Callables are deprecated by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1273
* Added security with the "install" folder. by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1297
* cleaning up old code, this fixes the issue here: https://github.com/X… by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1290
* Removal of templates from XM modules by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1294
* fix install table modules (version) by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1298
* Fix: https://github.com/XOOPS/XoopsCore25/issues/1304 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1306
* Used notification_constants in XoopsUser by @Andrew-Staves-Activ in https://github.com/XOOPS/XoopsCore25/pull/1240
* Changed to use gender-neutral pronouns by @Andrew-Staves-Activ in https://github.com/XOOPS/XoopsCore25/pull/1241
* Set to only send notifications to activated users by @Andrew-Staves-Activ in https://github.com/XOOPS/XoopsCore25/pull/1244
* Updated user info buttons to use recognised op values by @Andrew-Staves-Activ in https://github.com/XOOPS/XoopsCore25/pull/1245
* jQuery 3.6.3, jQuery UI 1.13.2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1300
* update siteinfo bloc and 1 question by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1302
* fix error with preg_split() and php 8.1 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1292
* small adjustments to arrays in xoopscaptcha by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1288
* fix error by ref. by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1287
* Typos by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1212
* update docs/lang_diff.txt by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1308
* Fix: Error in help.php by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1309
* Fix: https://github.com/XOOPS/XoopsCore25/issues/1299 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1310
* add missing fields in PM by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1313
* fix: setcookie(): Passing null to parameter #2 ($value) of type strin… by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1311
* fix php8.2 error by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1295
* Php8.2 dynamic_fields by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1238
* [] operator not supported for strings by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1237
* Feature/is result set 2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1301
* reverse isResultSet() changes to XMF by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1314
* fix: https://github.com/XOOPS/XoopsCore25/issues/1315 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1317
* fix for Break in Install #1318 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1319
* fix for a wrong parenthesis by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1320
* Merge Smarty3 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1322
* 2.5.11 RC1 prep by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1326
* https://github.com/XOOPS/XoopsCore25/issues/1327 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1328
* missing_paypal_image_in_renderAbout by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1332
* System_modules.tpl wrong quotations by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1334
* updating lang_diff.txt by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1337
* Compatibility smarty 3 and4 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1325
* fixed smarty default errors for module extcal by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1331
* rawurlencode() requires string by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1339
* xoops_getUserTimestamp has to return integer by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1338
* PHP 8.2: Dynamic Properties are deprecated by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1336
* using empty check instead of default by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1324
* Untrusted files inclusion, not guaranteed to load the right file by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1344
* Add makeSet() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1346
* Fix include paths in install by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1347
* Freshen libraries by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1348
* Update libraries encore by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1350
* Dir install upgrade by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1351
* Sanitize fatal exception message by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1352
* Release Prep by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1353
* Incorrect language checking in install tablesfill step by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1355
* fix smarty 3 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1356
* Replace class/smarty/xoops_plugins directory with smarty3_plugins by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1357
* fix for {$wizard->language}/english/global.php" by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1358
* missing quotes by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1359
* Fix for Upgrade Issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1360
* Fix 1365 and php8 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1366
* jQuery to 3.7.1 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1361
* Smarty 3 Preflight in Upgrade by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1375
* fix for missing system_confirm.tpl by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1373
* changed to RC3 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1376
* XOOPS_URL was hardcoded with "http://" by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1372
* Some of the issues reported by Scrutinizer by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1229
* Feature/entropy by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1343
* Proper preg_quote(...) usage by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1341
* Feature/css fixes by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1345
* conversion to Xmf\Request by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1177
* Undefined_array_key_in_xoopskernel by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1368
* Fixing paths in Protector by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1371
* Feature/installation fixes by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1369
* Feature/fixes xoops website by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1370
* Scrutinizer check for empty array by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1381
* compatibility for Apache 2.2 and 2.4 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1380
* Regex adjustments, PHP8 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1377
* add missing  AUTO_INCREMENT by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1378
* Update XoopsFormRendererBootstrap5.php by @CHCCD in https://github.com/XOOPS/XoopsCore25/pull/1379
* moving MAX_FILE_SIZE up by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1383
* Feature/ent quotes ent html5 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1342
* cosmetics: https, single quotes, PhpDocs by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1223
* consistency in dealing with deprecated in PHP 8.2 utf8_encode() and utf8_decode() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1363
* check for XOOPS_USE_MULTIBYTES by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1385
* Reverting styles.css and footer.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1387
* better check for renderWhere() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1384
* Made XoopsNotificationHandler::subscribe() return true rather than null. by @Andrew-Staves-Activ in https://github.com/XOOPS/XoopsCore25/pull/1239
* Update media.js by @CHCCD in https://github.com/XOOPS/XoopsCore25/pull/1386
* undefined array key plus other issue by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1274
* 'array_merge(...)' is used in a loop and is a resources greedy construction by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1388
* PHP 8.0: @ Error Suppression operator does not silent fatal errors by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1323
* fix for <{xoUserInfo by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1393
* Update image.php by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/1389
* Accept token for valid users only by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1395
* Greedy array_merge() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1391
* Various Updates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1390
* checking if template variables are set by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1394
* handleException() adds own trace when calling handleError() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1374
* Update image.php by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/1398
* Update mimetypes.inc.php by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/1397
* Update uploader.php by @luciorota in https://github.com/XOOPS/XoopsCore25/pull/1396
* Fix protector oninstall issue by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1400
* version update by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1402
* delete duplicate $renderer by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1405
* Update maintenance by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1404
* fix for wrong user variable naming by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1407
* delete duplicate closedir($handler); by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1401
* update deprecated is_cached() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1409
* Xmf to 1.2.28 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1410
* Added an option to set the default notification method for users by @Andrew-Staves-Activ in https://github.com/XOOPS/XoopsCore25/pull/1242
* PhpDoc updates #1196 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1408
* remove duplicated code by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1412
* Clean up upgrade/preflight.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1413
* Fix issues with upd-2.0.18-to-2.3.0 step by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1414
* reverse quotations, update version # of system module by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1415
* Bug Fix - incorrect lower PHP version specified by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1416
* Correct error handling in rewriting template by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1417
* typo in \modules\system\admin\users\main.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1418
* Reverse adding more entropy (image_name field size in DB is too small by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1420
* Dynamic fields are not allowed in PHP 8.2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1430
* set  variable by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1429
* Fixes for templates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1421
* fix for installation issues by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1428
* load modinfo language in /system/xoops_version.php, after upgrade by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1424
* Updating versions, fix for versionCompare() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1427
* replace |is_array modifier by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1433
* Eliminating "magic_quotes" error notices in PHP 7.4+ by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1426
* make  $addtoken = true by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1422
* Parameterized Query by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1419
* Update to xmf v1.2.29 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1435
* Case insensitive path check by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1434
* Fix rendering caption required icon2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1411
* Path traversal, bugs fixes, and adding Xmf\Request() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1425
* fix for prepared statement result by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1437
* Patch for loadLanguage issue by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1436
* fix for email templates in Notifications by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1443
* fix for multi-image upload by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1442
* add ENT_HTML5 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1441
* Feature/cosmetics template updates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1440
* update regex for makeClickable($text) by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1445
* fix dropdown in XoopsFormRendererBootstrap5 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1444
* set false to uniqid() by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1446
* template updates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1447

===================================
2.5.11-RC3               2023/11/10
===================================
- Fix uncaught exception during upgrade login
- Add core language/*/user.php for login
- Update system_siteclosed.tpl
- missing quotes
- fix for {$wizard->language}/english/global.php"
- Adjust sanitization on exception
- Replace smarty/xoops_plugins with smarty3_plugins
- fix smarty 3
- Incorrect language checking in install tablesfill step

Updated libraries and assets:
- jQuery to 3.7.1 (mamba)

===================================
2.5.11-RC2               2023/05/02
===================================
- Security fixes
- XOOPS uses Smarty 3 natively, but provides Smarty 2 backward compatility layer for modules

===================================
2.5.11-RC1               2023/04/02
===================================
- Update to Smarty v3.1.48
- Update to Xmf v1.2.27
- Security fix for Xmf\Jwt

===================================
2.5.11 Beta3           NOT RELEASED
===================================

- change folder sorting in Installation Issue #1248 (alain01/mamba)

Updated libraries and assets:
- HTML Purifier to 4.15 (mamba)
- jQuery to 3.6.3 (mamba)
- jQuery UI 1.13.2 (mamba)

===================================
2.5.11 Beta2           2022/08/03
===================================

- update xmsocial, xmmodules, xmdoc and xmnews (mage)
- fix NEWBB_NOTOPIC error (geekwright)
- New clean favicon.ico (alain01)
- Add missing "dropdown-item" class on list items (geekwright)
- Use mixed case constants in DHTML editor controls (geekwright)
- Correct issues in dhtmltextarea
- Fix changing avatar with profile module and xswatch4 #784 (mage)
- Tweak feeds used in XOOPS News in admin.php (geekwright)
    - use https and no "www." for xoops.org feeds
    - give priority to feed(s) in htdocs/language/.../backend.php
    - present multiple feeds sequentially, not merged
- Add XoopsHttpGet (geekwright)
- Deprecate the Snoopy class (use XoopsHttpGet to fetch rss feeds) (geekwright)
- Add check for curl_init failing (geekwright)
- Remove unreferenced templates in extCal (mamba/geekwright)
- Modified: htdocs/kernel/notification.php (geekwright)
- Fix docblock \XoopsNotificationHandler::triggerEvent() - Fixes #794 (geekwright)
- cloning of all xswatch derivatives (alain01)
- Update style.css (alain01)
- Delete little space between pages number
- Modified: htdocs/class/snoopy.php (mage)
- Fix Error when no modules installed (geekwright)
- Add meaningful default page to xswatch4 (geekwright)
- Small tweak to pm module (geekwright)
- cosmetic bt4 modification (alain01)
- Convert to English (mamba)
- Fix Profile Index Template (liomj)
- Admin user sync: issue823 (geekwright)
- Security update jquery 3.5.1 (geekwright)
- New modern templates for PM (alain01)
- Template patches for Newbb 5.0 Final (geekwright)
- change of _MEDIUMDATESTRIN (mamba)
- Implement Xmf\Request (geekwright)
- Bootstrap-Bootswatch-4.5.0 (geekwright)
- Avatar cleanup (geekwright)
- Smarty plugin xoUserInfo (geekwright)
- Add themePath variable to xoops_header()  (geekwright)
- Add tpl/xswatchCss.tpl and document use (geekwright)
- Adjust templates which are not wrapped by theme.tpl (geekwright)
- Fix dependency on default shortcut icon (geekwright)
- Expose template for use by caller (geekwright)
- Add options text editing to profile field edit (geekwright)
- Eliminate smarty <{php}> tag use (geekwright)
- Fix Incorrect responsive behavior in renderThemeForm (geekwright)
- Match *box icons sizes in pm_viewpmsg.tpl (geekwright)
- Fix: count search (mage)
- Fixed error when redirect (luciorota)
- Return proper null value for integer columns (geekwright)
- Add macro substitutions for {X_SITEURL} and {X_YEAR} #850
- Patch issues when using PHP 8.0 (mamba, et al.)
- explicitly require fileinfo extension in install
- XoopsModelRead::getAll() now recognizes database errors #943
- fix "array to string conversion error" in module install #944 (mamba)
- Make $redirect_message available in system_siteclosed.tpl #952
- fix default for debugLevel configuration #953
- remove non-useful links from module admin page #956 (mage)
- stop overwriting config files when updating XOOPS
* Change a few remaining index.html to index.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/958
* extra XOOPS Links in Admin (Themes and Modules) by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/957
* Don't overwrite configuration data on upgrades by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/959
* Responsive blocks by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/961
* add real name to Admin's user table view by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/962
* missing index.php files by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/960
* Feature/various by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/963
* missing array in 2.5.11 upgrade by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/964
* Unify XoopsBlock definition by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/968
* Fix composer config platform php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/970
* jQuery 3.6.0 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/972
* Errors using XOOPS_VAR_PATH early in install by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/973
* Fix https://github.com/GregMage/xmnews/issues/41 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/976
* Add default for $xoops_logdump by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/978
* Update templates for xmcontent 1.5 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/979
* Allow for override of any template in admin themes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/982
* fix for version number as string by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/981
* Incorrect template specified by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/985
* Fix: https://github.com/XOOPS/XoopsCore25/issues/986 Comment text is … by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/987
* Template page nav by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/980
* Cpanel aware smarty compile id's by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/991
* Improve performance of admin users page by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/990
* Cannot use method return in write context error by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/988
* Fix pagenav in protector center by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/992
* Removing dependencies on index.html files by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/993
* Block 'Waiting Contents' is deprecated by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/994
* now the form is responsive by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/995
* Add templates to misc.php by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/998
* Test xswatch4 dark - typo error in the theme.tpl file by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1000
* Introduce prefers-color-scheme media queries by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/999
* Fresh library build by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1001
* Updates for xswatch4 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1003
* Remove FILTER_SANITIZE_MAGIC_QUOTES in system_CleanVars() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1004
* Fix bug with bloc on-line. by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1005
* Show theme description in Select Theme install dialog by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1006
* Revert "Fix bug with bloc on-line." by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1007
* Delete phantom anonymous entry in online left when user logs in by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1008
* Prototype admin dark mode theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1010
* Add uploads/files directory to writable list by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1012
* Respect smilies table display column by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1013
* Darken form entry fields by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1014
* Bootstrap 4 online templates for xswatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1015
* default for $xoops_language by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1016
* $modules|default:null by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1017
* THEME_FORUM_REPLY by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1018
* check for $result by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1020
* Feature/class xoopsblock.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1019
* fix for function.block.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1021
* update template for xmdoc V1.2 final by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1022
* Bootstrap4 templates from misc.php by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1023
* Skip scan if directory is not present by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1024
* SameSite cookie attribute by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1026
* Supply default value for avatar template variables by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1027
* Explicitly set default mysqli_report(MYSQLI_REPORT_OFF) by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1028
* Cleanup a few issues noted in Profile by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1029
* Fix php8 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1030
* Dark admin theme update by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1031
* Dark admin rework by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1032
* PHP8 newbb template update by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1033
* One last pass on dark admin theme by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1035
* Libraries rebuild by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1037
* Create XoopsFormRendererBootstrap5.php by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1038
* Add xoopsformrendererbootstrap5 to XoopsLoad by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1039
* new icon by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1044
* Fix incorrect path names by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1042
* Some theme/themeability issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1043
* adding defaults for PHP8 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1046
* label content should have also id (for 'label_for') by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1048
* calendar div needs z-index in order to be shown on highest level by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1049
* additional global language variables by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1054
* replace includeq with include in Smarty by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1059
* replace foreachq with foreach in Smarty templates by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1058
* Bootstrap V4.5.2 to 4.6.0 for xSwatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1063
* tablesorter widgets and blue theme by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1062
* missed file by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1068
* Ensure variable is defined by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1067
* Fix incorrect name for XoopsConfigCategory object variable by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1069
* Fix incorrect variable for GroupMembership object by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1070
* Return of ints in XoopsModelStats::getCount() and getCounts() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1071
* Force array for groups XoopsMemberHandler::getUserCountByGroupLink() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1072
* Ensure variable is defined by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1073
* Check for correct object type by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1075
* Cosmetic changes in theme.tpl - xswatch4 theme by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1094
* xSwatch4 options by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1100
* Replace hardcoded english text in protector stats graph by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1097
* add admin.css by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1104
* Add default for xo_sys_breadcrumb by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1107
* Display warning if xml extension not available by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1102
* Remove Google Swiffy references by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1140
* add dirname in block title by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1125
* fix: https://github.com/XOOPS/XoopsCore25/issues/1144 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1145
* Change define in the system module by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1142
* Add \XoopsDatabase::isResultSet() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1141
* add missing argument by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1149
* Change mcrypt_create_iv() to random_bytes() by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1148
* Updated XM module templates by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1150
* Feature/php81 xbootstrap by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1135
* The index.php file is deleted and created after a cache delete operation by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1147
* Link for 'This Module Admin' after module install by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1146
* Bootstrap V4.6.0 to 4.6.1 for xSwatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1127
* bt4 search for xswatch4 by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1124
* Add version number to module name in toolbar, similar to what we have… by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1152
* Review filter and escape in findusers  by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1153
* request_findusers by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1131
* Smarty v2.6.32 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1130
* Undefined constant "next" by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1159
* XS4-fix-base-css by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1160
* xoops.css url "/image/" by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1162
* HTML Purifier 4.14.0 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1164
* Update theme.tpl - my_xoops.css and my_xoops_dark.css by @alain01 in https://github.com/XOOPS/XoopsCore25/pull/1161
* add warning message in admin by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1123
* add link to image of an activated module by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1055
* delete xcache.php by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1170
* Skip prettified protector log if not supported by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1169
* Address issues with br tags in form trays by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1171
* hack for proper displaying of form element trays in bootstrap 4 and 5 by @ggoffy in https://github.com/XOOPS/XoopsCore25/pull/1051
* replacing includeq and foreachq by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1168
* A less aggressive \MyTextSanitizer::makeClickable() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1172
* refactor XoopsRequest to Xmf\Request by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1174
* Fix bug issue #1114 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1178
* Add trailing end of line by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1176
* adding sorting to default theme by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1175
* Revert "adding sorting to default theme" by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1180
* Fix non-conforming id elements in module menu tabs by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1179
* Remove unused composer files from phpmailer directory by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1181
* Correct docblock for getHandler and getModuleHandler by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1182
* Fix return value in deprecated XoopsBlock::store() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1183
* Formcaptcha option2 by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1120
* Fix issues with Bad IP list in Protector Center by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1185
* Fix Passing null to parameter ... of type string errors by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1186
* XoopsNotification::getByItemId() uses wrong column info by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1187
* Add missing \XoopsConfigOptionHandler::getCount() method by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1188
* PhpDoc change to mixed by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1165
* Passing null to parameter of type string by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1189
* Cleanup in \XoopsSecurity::checkBadips() by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1190
* Respect method arguments $start and $limit by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1191
* Fix some frequently seen DOM issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1192
* \XoopsModule::$adminmenu not always properly initialized by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1193
* Null to string issue in xoAppUrl by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1194
* Scrutinizer recent complaints by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1195
* Mini stats Smarty plugin xoStats by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1197
* all modules are using 'id", and this is causing issues in PHP8 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1199
* New version system by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1126
* scrutinizer3  by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1200
* varchar(12) to varchar(32) version by @GregMage in https://github.com/XOOPS/XoopsCore25/pull/1205
* trim() expects parameter 1 to be string, array given by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1203
* Add .tpl extension option for module_index help file #482 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1201
* Propagate recent default admin theme changes to dark and transition by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1207
* Clear some Smarty and other php8.1 issues by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1206
* Some php8.1 fixes by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1210
* Avatar display in misc.php should respect avatar_display by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1209
* Passing null to parameter #1 ($string) of type string is deprecated by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1211
* Deal with each() removal by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1216
* Convert comment posting to use Xmf\Request by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1218
* Reviewing Protector by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1217
* In PHP 8.1, the default error handling is set to throw an exception by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1219
* trim() expects a string, null given by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1221
* Unknown: preg_match(): Passing null to parameter #2 by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1225
* Implement new module version in system module install by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1222
* Fix module admin breadcrumb by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1224
* Smarty defaults by @mambax7 in https://github.com/XOOPS/XoopsCore25/pull/1226
* Update to XMF 1.2.26 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1227
* Missing files from PR 1227 by @geekwright in https://github.com/XOOPS/XoopsCore25/pull/1228
* changelog 2.5.11 Beta 2

Updated libraries and assets:
- Smarty: allow StdClass to be cast to array when compiling foreach (mamba)
- HTML Purifier to 4.14 (mamba)
- phpThumb has been removed #939
- bootstrap 3.4.1 (geekwright)
- jQuery to 3.6.0 (geekwright)
- Smarty to v2.6.32 (mamba)
- jQuery UI 1.13.1 (mamba)

===================================
2.5.11 Beta1             2020/02/14
===================================
- Add xswatch4, a Bootstrap v4.4 based theme (geekwright, mage, alain01)
- Fix "NaN" issue involving calendar.js use in MailUsers
- Update Help page in Blocks Admin
- Treat Block title starting with comment style '// ' (slash-slash-space) as blank
- Fix incorrect DB quoting of function calls
- Only load jquery for jgrowl support if jQuery is not defined
- Remove dead "list" type from profile module field support
- Type inconsistency fixes in XoopsMySQLDatabase and children
- PHP 7.4 compatibility fixes (mamba)
- Use Smarty template system_confirm.tpl for xoops_confirm (luciorota)
- In text sanitizer, do not add br tags on new line characters if text contains HTML
- Fix error in Group administration causing unrequested Description changes during edit
- Fix inconsistencies in XoopsMultiMailer
- Fix broken caching in Smarty xoMemberInfo function
- Fix corruption of chosen options in Blocks administration
- Attempt graceful failure on missing theme
- Fix active hyperlink on space between icons in admin screens (mage)
- Add Smarty $xoops_modulepage variable, form module/script.php?args... (mage)
- Fix incorrect tooltip in image manager category list
- Reset DHTML Editor Typography Controls (size, font and color) when focus lost
- Handle negative ini sizes properly in upload file sizes (goffy)
- Remove zetadigme admin theme
- Escape tooltip text in admin themes (HTML no longer supported)
- Deprecate system_CleanVars(), replace with appropriate Xmf\Request calls (mage)
- Fix incorrect user admin synchronization for newbb (fabou78)
- Fix message quoting in pm module (mage)
- Update admin.php RSS URL (poehoes)
- XoopsFormRendererBootstrap4 (tad0616, mage, geekwright)
- Deprecate \XoopsObject::setFormVars() (geekwright, mage)
- Unneeded by reference (geekwright)
- Implement Xmf\Request for input (geekwright)
- Fix install error under MySQL in ANSI mode (geekwright)
- Add noopener rel attribute to external links in TextSanitizer (geekwright)
- fix quote_answer_pm  (mage)

Xmf updated to v1.2.19, includes:
- fix issue in Xmf\Database\TableLoad::loadTableFromYamlFile()
- add \Xmf\ProxyCheck
- add \Xmf\Module\Helper::uploadUrl()
- add \Xmf\Module\Helper::uploadPath()
- add \Xmf\Uuid::packAsBinary()
- add \Xmf\Uuid::unpackBinary()

Updated libraries and assets:
- HTML Purifier to 4.13 (mamba)
- phpmailer to 5.2.27 (mamba)
- jQuery to 3.4.1 (mamba)
- phpThumb to 1.7.16-202008101454 (mamba)

===================================
2.5.10 Final             2019/04/29
===================================
- fix version check in module administration (mage)
- fix notification template in boostrap based themes (mage)
- fix incorrect message in protector prefix manager (mage)
- Warn in admin if using an unsupported version of PHP (security concern)
- Add method XoopsLists::getFileListByExtension()
- Fix missing jpeg extension in XoopsLists::getImgListAsArray()
- Optimize images (mamba)
- Allow multiple files in XoopsMediaUploader (luciorota)
- change declaration of SystemFineUploadHandler class to abstract in #618
- Add basic support for MySQL 8.0
- Fix potential redirect loop when start module in use
- Pass JWT for fineuploader in POST body instead of header (goffy, geekwright)
- Change meta_robots config to textbox instead of select
- Move protector config files to XOOPS_VAR_PATH/protector
- Use Request to access $_SERVER variable in XoopsPageNav
- Add Smarty modifiers truncateHtml and a UTF-8 safe truncate
- Update protector add overview chart, ip ban button to log
- Fix bug in image.php when resizing transparent png (luciorota)
- Fix typo error in profile and system userform templates (mamba)
- Fix issues in install/page_dbsettings.php (blogged by Nguyen Thanh Nguyen)
- Fix stylesheet inclusion in ModuleAdmin
- Misplaced MAX_FILE_SIZE (cadch)

Updated libraries and assets:
 - Smarty to v2.6.31 (mamba)
 - phpmailer to 5.2.26 (mamba)
 - phpThumb to 1.7.15-201810050741 (mamba)
 - TinyMCE to 3.5.12 (mamba)
 - jQuery 3.3.1 (mamba)
 - jGrowl to 1.4.6 (mamba)
 - jQuery Form to 4.2.2 (mamba)
 - jQuery Tablesorter to 2.31.0 (mamba)
 - HTML Purifier to 4.10 (mamba)

===================================
2.5.9 Final              2017-08-01
===================================
- fix issue with establishing database character set under mysqli
- Add PHP4 same name constructor shim in XoopsMailer (geekwright)
- Some cleanup in xBootstrap to reduce setup for users, especially with publisher
- fix with pre-install reporting (zyspec)
- Streamline setup for publisher with xBootstrap (geekwright)
- various "Assign by reference" issues in PHP 7 (geekwright/mamba/ggoffy)
- Icons for Edit, Delete, Download (bleekk)
- use HTML5 br tags consistently (mamba)
- Publisher templates cleanup in xBootstrap (geekwright)
- Change set charset behavior for mysqli
- bug in mysqldatabase.php in XOOPS_DB_CHARSET for PHP < 5.5 (mamba)
- Update makedata.php (luciorota)
- Backport Smarty securityToken plugin (geekwright)
- Add a table property to handlers  (geekwright)
- Fix occasional issues using xoops_loadLanguage('locale') (geekwright)
- Docblock fix for getHandler functions (geekwright)
- Correct help/module_index in system (geekwright)
- fixed missing language constants (mamba)
- Fix Bug #141 for avatar, userrank, smilies(mage)
- improved upload class (mage)
- fix Report error on database connection (geekwright)
- fix Correct protector connection  (geekwright)
- Update help.tpl (cesagonchu)
- Module Changelog in UTF-8 (mamba)
- update system_siteclosed for xbootstrap (liomj)
- make clean exit after delivering file in browse.php (geekwright)
- fix XoopsObjectTree issues  (geekwright)
- various CSS and template tweaks  (geekwright)
- xos_kernel_Xoops2 reference issues (geekwright)
- Implement Footer Blocks in xbootstrap theme (liamj/geekwright)
- Bug in ProfileProfileHandler::get() (geekwright)
- XoopsFormDateTime - time only option(geekwright)
- Move to HTML5 syntax (geekwright)
- changing icons in User Admin for consistency (mamba)
- fixes for Publisher templates in xBootstrap (mamba)
- Highlight Update System Module in upgrade(geekwright)
- add recaptch2 support (mage)
- fix login over IPv6 during upgrade (mage)
- fix display of HTML5 banners in admin (mage)
- profile module, hide ICQ, AIM, YIM and MSNM fields by default
- profile module, us dhtml editor for signatures
- use public suffix list when determining cookie domain
- add polyfill for mb string, most functions always available if without extension
- new admin theme - Transition (bitcero)
- add XoopsObjectTree::makeSelectElement(), return tree as XoopsFormSelect (geekwright, mage)
- Bootstrap form support with XoopsFormRenderer (geekwright, mage)
- new templates to allow more consistent theme overrides (geekwright, mage)
  (system_comments_controls.tpl system_search.tpl system_popup_header.tpl, system_popup_footer.tpl)
- Multi-file uploads for Image Manager, Avatars (mage)
- PHP 7.1 compatibility fixes (mamba, geekwright)
- set XOOPS_COOKIE_DOMAIN during install and set in mainfile.php
- recommend Intl extension
- add 'rendered' key to XoopsForm::assign(), allows template to choose rendered or by element
- add lexikon templates for xBootstrap (bleekk)
- removed extras/modules/system/admin/filemanager/
- installer updated
- upgrader updated
- theme changes: removed sucio and zetagenesis, added xswatch
- error in search links (mage)
- multiple issues in profile module (mage, trabis, geekwright)
- issue with xBootstrap slider (mage)
- XoopsFormSelectUsers issues
- fix theme selection in install (mage)
- Update \ModuleAdmin::renderAbout() PayPal donations (zyspec)
- xbootstrap updates (mamba)
- XoopsObject returns integer for XOBJ_DTYPE_INT vars
- some accessibility fixed (tad0616)
- fix serialization issues with XOBJ_DTYPE_ARRAY
- deprecate system module "Cookie" class
- fix issues reported by JPCERT/CC
- fix issues reported by Mustafa Hasan
- fix regressions in system theme select block
- fix template search order issues
- fix white screen issue with text sanitiser wiki support
- fix extgallery template issues (mamba)
- added missing tooltip.js in transition GUI (ihackcode)
- fix issues with transition admin theme (bitcero)
- fix moduleadmin message formatting (mage)
- move iconv extension from optional to required in install
- fix issues publicly posted by jgj212, ADLab of Venustech

Updated libraries and assets:
 - jQuery 3.2.1 (mamba)
 - jQuery UI 1.12.1 (mamba)
 - jGrowl to 1.4.5 (mamba)
 - Tabs jQuery Tools to 1.2.7 (mamba)
 - jQuery Lightbox to 1.2.3 (mamba)
 - jQuery Form to 3.5.1 (mamba)
 - jQuery Tablesorter to 2.26.6 (mamba)
 - phpThumb to 1.7.14-201607141354 (mamba)
 - Bootstrap 3.3.7 in xBootstrap theme (geekwright, mamba)
 - HTML Purifier to 4.9.3 (mamba)
 - PHPMailer to 5.2.21
 - XMF to 1.2.10
 - Font Awesome 4.7.0 now included

===================================
2.5.8 Final            2016-05-27
===================================
- replaced "dirname(__FILE__)" with "__DIR__" since the min. PHP is now 5.3.7, and __DIR__ is faster  (mamba)
- updating some copyright notices (mamba)
- fix issues when protector 'id_forceintval' preference is enabled, that manifests as an error when deleting private messages.  (rgriffith)
- fix for Update setting Template import date to 0 (timgno/mamba)
- Adding language constants for Protector's Prefix Manager (slider84/mamba)
- allowing for "https" URL in YouTube links in Textsanitizer (mamba)
- converting $i++ to ++$i for improved performance (mamba)
- reverting couple of $i++ conversions (zyspec/mamba)
- updated xBootstrap to Bootstrap 3.3.1 (Angelo Rocha)
- Some code cleanup for private messages (Dingjie （Daniel） Yang/rgriffith)
- Adding Footer blocks (timgno/mamba)
- fixing a bug in xmlrpc.php (wppd/rgriffith)
- remove addrFormat override in XoopsMultiMailer (rgriffith)
- patch from Xoops 2.5.6 XoopsFormSelectUser is not compatible with some old modules like xNews (luciorota)
- fix "setExtra" in moduleadmin.php, Admin buttons can now use "onClick" assignments (mamba)
- updated XOOPS copyright to 2016, changed links to http://xoops.org (mamba)
- replaced intval() with (int) (mamba)
- added possibility to include full icon URL in module's menu.php (mamba)
- added strong { font-weight: bold; } to reset.css (mamba)
- added .tpl option for module Help files (mamba)
- fix moved "count($tagsArray)" and "count($attrArray)" outside of FOR loop in xoopsfilterinput.php (mamba)
- add option to set height of Themes block (mamba)
- fix: Invalid argument supplied for foreach() (cesagonchu/mamba)
- removed -khtml CSS properties (mamba)
- fix profile/search (cesagonchu/slider84)
- changed minimum image sizes in Image Manager to: 800x600, 1MB (mamba)
- added image sort order in TinyMCE image-manager plugin (elpaksu/Peekay)
- added Youtube handling enhancements (xd9527/geekwright)
- fix system module update issue (zyspec)
- fixed multiple issues (CSRF, weak password hash, and directory traversal) reported by hyp3rlinx (geekwright)
- fix privileged information disclosure issue reported by Cédric MONTUY (geekwright)
- Move to supported PHP mysqli extension for database access (redheadedrod/geekwright)
- IPv6 safe in comments, protector, sessions and online
- Include XMF library (geekwright)

Updated:
 - TinyMCE to 3.5.11 (mamba)
 - PHPMailer to 5.2.14 (mamba)
 - jQuery to 1.12.4 (mamba)
 - jQuery UI 1.11.4 (mamba)
 - jGrowl to 1.4.4 (mamba)
 - phpThumb to 1.7.14-201603240806  (mamba)
 - HTML Purifier to 4.7.0 (mamba)
 - Bootstrap to 3.3.6 (mamba)
 - Snoopy to 1.2.5 (zyspec)
 - SWF banners to HTML5 (mamba)
 - extra banners (mamba)

===================================
2.5.7.2 Final   2016-01-02
===================================

This patch for XOOPS 2.5.7 corrects the following issues:

- multiple issues reported by Tim Coen (Curesec GmbH)

All XOOPS 2.5.7.1 users are advised to apply this patch as soon as possible. Any users that are running an older XOOPS version are advised to update to XOOPS 2.5.7.2 now.


===================================
2.5.7.1 Final   2014-06-20
===================================

This patch for XOOPS 2.5.7 corrects the following issues:

- CSRF and XSS issues reported by Dingjie 'Daniel' Yang of Qualsys
- XSS and best practice issues reported by Narendra Bhati
- Updating docu for the correct version of tablesorter (mamba)
- Fix path specified for include (rgriffith, mamba)
- added mainfile.php to /extras for use on servers where write to root is not possible (rgriffith)
- fix for array issue in pm/viempmsg.php (Roby73/mamba)

All XOOPS 2.5.7 users are advised to apply this patch as soon as possible. Any users that are running an older XOOPS version are advised to update to XOOPS 2.5.7.1 now.


===================================
2.5.7 Final     2014/06/14
===================================
- updated XoopsMediaUploader to use system memory values from php.ini, and to offer random file names (mamba/luciorota/zyspec)
- added .tpl to XoopsList's getHtmlListAsArray (wizanda)
- updating xBootstrap (voltan, Angelo Rocha)
- moved all images, CSS, and JS files to /assets in modules Profile and PM (mamba)
- renamed .html Smarty templates to .tpl in modules Profile and PM (mamba)
- corrected English typos (cesag)
- added missing .php file extension (AngeloRocha/Zyspec/rgriffith)
- deprecated destoryVars($var) in object.php (cesag/rgriffith)
- update phpmailer translation array to include all keys, and remove reassignment of $PHPMAILER_LANG as array() (cesag/rgriffith)
- added XoopsRequest class (rgriffith)
- removed hard-coded text from installation (mamba)

Updated:
 - TinyMCE to 3.5.11 (mamba)

===================================
2.5.7 RC 1      2014/04/06
===================================

Bugfixes:
- fixed System Module image manager html/js bugs (luciorota)
- replaced "array_diff_assoc" with "array_diff_key" in /class/theme_blocks.php (masel/mamba)
- icons for active module sections in System module not shown correctly (Slider84/mamba)
- added two new language definitions (see lang_diff.txt)
- added Office 2007 MIME types (Voltan)
- added xml MIME type (Goffy)
- added new icons (mamba)

Updated:
 - jQuery to 1.11.0 (mamba)
 - jQuery UI 1.10.4 (mamba)
 - jQuery Lightbox to 1.2.3 (mamba)
 - jQuery Form to 3.50.0 (mamba)
 - jQuery Tablesorter to 2.15.11 (mamba)
 - jGrowl to 1.2.14 (mamba)

===================================
2.5.7 Beta 1        2014/03/06
===================================
Bugfixes:
- ID: 1143 (old ID 430840)  class/module.errorhandler.php (uberrookie/zyspec)
- ID: 1225 Restore user theme choice during "Remember me" processing. (rgriffith)
- ID: 1226 Change value of clickable due to issues centering on CaricaFoto script (rgriffith)
- ID: 1227 Sorting bug in Profile module search (Zyspec)
- ID: 1246 Fallback to english for admin theme language files if no language specific file exists (rgriffith)
- ID: 1261 Fix as proposed by Irmtfan (irmtfan/rgriffith)
- ID: 1268 reduce db load if XoopsFormSelectUser is called multiple times in a page load (rgriffith)
- ID: 1269 Block template file will not updated after update the module (irmtfan)
- ID: 1270 template issue in email notifications (changed X_ITEM_TILE to X_ITEM_NAME) (alain01/slider84/mamba)
- ID: 1271 install last page no css/js (tarik/rgriffith))
- ID: 1272 delete functions always return true (rgriffith)
- ID: 1273 template duplicate issue (irmtfan)
- ID: 1274 prevent multiple inclusions of a module's xoops_version.php (irmtfan/rgriffith)
- ID: 1278 _AM_SENDMTOUSERS missed (Mowaffaq/mamba)
- ID: 1281 initialize arrays as empty arrays rather than null (rgriffith)
- ID: 1285 check if session exists before attempting to start a new one (wishcraft)
- ID: 1287 assigning "static" to various class methods (wishcraft/mamba)
- ID: 1291 xoops_getModuleOption() did not respect $dirname (rgriffith)
- ID: 1382 add cleanup of unused avatar resources to admin maintenance page (rgriffith)


- reversing fix for potential lack of rendering css and javascript in Installer on the last screen by culex
- removing @ in link[@rel*=style][title] in styleswitch.js (not needed in jQuery 1.83) (SMEDrieben/Mamba)
- added missing "`" in upgrade from 2.0.18 to 2.3.0 (mamba)
- fixing errors in upgrade from 2.4.0 to 2.4.1 (mamba,voltan)
- added check for menu link description in ModuleAdmin
- fixed wrong return icon in Smarty xoModuleIcons32
- fixed issue with jGrows in xoops.css (xoobaru/tarik)
- fix for deprecated "preg_replace/e" function in PHP 5.5 (mamba)
- added: check if 'date.timezone' is set in php.ini, if not, set it to UTC (cesag/mamba)
- assigned _SHORTDATESTRING to _CAL_FORMAT to have consistency in local languages (jcweb/guspel)
- fixed bug in calendar.js (mamba)
- added link to Module's Admin after "Update" (currently only to XOOPS Modules section) (mamba)
- added placeholder for a link to upload test data, if available after installation (mamba)
- solved bug into PM module readpmsg.php (escrime-info/slider84)
- fixed missing check on variable in userinfo.php (cesag/mamba)
- replaced extract($_POST) in /include/comment_delete.php with filters (mamba)
- adding some missing generic default fonts (mamba)
- removing some unreachable statements (mamba)
- replacing deprecated HTML tags (mamba)
- bug in commentrenderer.php (Roby73/irmtfan)
- added missing info about new language constants in Fast Comments (irmtfan/mamba)
- fixed Undefined index: uid in file /modules/profile/userinfo.php line 24 (cesag/mamba)
- set minimum PHP version to 5.3.7 (mamba)
- added missing apostrophe corrections for Date types in CleanVars in /class/model/write.php
- added function escape to XoopsMySQLDatabase, needed for Formulize (jegelstaff)
- added blank.gif images to ModuleAdmin icons (timgno)
- addedd [soundcloud] BB code as supplied by (iHackCode/rgriffith)
- fix for cancel button in javascript (currently it still entered the text, even if canceled) (mamba)
- added "module_status" to show with module Version (mamba)
- patch for input validation bypass issue reported by Tatane (tatane/rgriffith)
- change default value for usercookie config to match change in 2.6.0. (rgriffith)
- correct method used to determine the current effective language.(rgriffith)
- fix errors "PHP Strict standards:  Redefining already defined constructor" under PHP 5.5 (rgriffith)
- fix to correctly load the CSS file into the header in ModuleAdmin (Bleekk, Alfred)
- added "title" to buttons in DHTML Editor (mamba)
- updated required PHP and XOOPS versions, module versions in modules (cesag/mamba)
- added xBootstrap theme (UI/UX Team: Angelo Rocha, Bleekk, Heyula)
- added extra escape for "e" in YESTERDAY definition in locale.php, which was added in PHP 5.4 (madDan)
- fixed PHP minimum version comparison in ModuleAdmin (mamba)
- fixed System Module image manager and popup image manager save images in different directories(luciorota)
- added PHPDoc comments for classes and functions (mamba)

Security fixes
- XSS issues reported by Mehdi Dadkhah (rgriffith)
- Fix security issues reported by Pedro Ribeiro of Agile Information Security (rgriffith)
- Fix XSS issue reported by Manuel Garcia Cardenas (rgriffith)

Updated:
 - jGrowl to 1.2.13 (mamba)
 - jQuery Form to 3.42.0 (mamba)
 - HTML Purifier to 4.6.0 (mamba)
 - Smarty to 2.6.28 (mamba)
 - TinyMCE to 3.5.10 (mamba)
 - prototype.js to 1.7.1, Aug 2012 (rgriffith)

===================================
2.5.6 Final     2013/04/21
===================================
Bugfixes:
- updated English translations (Cesag,Mamba)
- extra check for $noHtml in XoopsEditorHandler->get (luciorota)
- fixing $GLOBAL typo in jquery.php (Zyspec)
- improving protection against spam by turning off registration's 1st step saving (timgno)

===================================
2.5.6 RC1       2013/03/25
===================================
Bugfixes:
 - Array to string conversion (geekwright/mamba)
 - issues with missing xoopscomments table (geekwright/sabahan/Mamba)
 - bug with using reference for non-variables (geekwright/mamba)
 - number of users when "all groups" selected was wrong (tatane/mamba)
 - fix for potential lack of rendering css and javascript in Installer on the last screen (culex)
 - fix for missing Protector logo under PHP 5.4 (mamba)
 - replacing ereg with preg_match in userutility.php (pmartina/paul)
 - #1219 dhtmltextarea editor accent not displayed (cesag/alain091)
 - added missing call for user language in /profile/index.php (xoobaru/zyspec)

Security fixes
 - XSS/CSRF vulnerability in system/admin/groupperm.php (Dingjie Yang,Qualys/trabis)
 - XSS/CSRF vulnerability in system/modulesadmin/main.php (Dingjie Yang,Qualys/trabis)
 - XSS/CSRF vulnerability in system/admin/blocksadmin/main.php (Marcin,Ariko-Security Team/trabis)
 - LFI vulnerability in system/admin/tplsets/jquery.php (Marcin,Ariko-Security Team/trabis)

===================================
2.5.6 Beta      2013/01/22
===================================
Security fixes:
 - XSS (Cross Site Scripting) vulnerability in Maintenance (Dingjie Yang,Qualys/trabis)

Bugfixes:
 - errors related to static functions, so it works on PHP 5.4 (Mamba)
 - bug #1245 in class XoopsLoad.php (Alain91)

Updated:
 - TinyMCE to 3.5.8 (mamba)
 - Smarty to 2.6.27 (mamba)
 - jQuery to 1.8.3 (mamba)
 - jQueryUI to version 1.10 (mamba)

Added:
- Fast Comment Hack (Voltan)

===================================
2.5.5 Final     2012/04/15
===================================
Bugfixes:
 - preventing division by zero in pagenav.php (timgno)
 - ID: 3466534 tooltip "$ not defined" fix (culex)
 - ID: 3513787 wrong cookie_domain (arion92fr)
 - ID: 3518291 Fix of variables assigned by reference in formelementtray (mamba)
 - problem in formtextdateselect (wishcraft)

Updated:
 - phpThumb to 1.7.11 (mamba)
 - jGrowl to 1.2.6 (mowaffaq/mamba)

===================================
2.5.5 RC        2012/03/14
===================================
Bugfixes:
 - ID: 3494895 When changing the # of visible entries in Protector, it goes to Admin (jcweb/mamba)
 - ID: 3494894 Calendar shows 40 days (peekay/mage)
 - ID: 3494896 Image Manager category creation restrictions (voltan/mage)
 - ID: 3494893 PM Messages deleted from Saved box (Danielw42/mage)
 - ID: 3501897 Protector errors (cesag/XavierS)
 - ID: 3511204 TinyEditor only loading in the 'Scoop' part of the News module (peekay/XavierS)
 - ID: 3511205 Bug in fresh install in page_configsave.php (XavierS)

Improved:
 - replacing "msnbot" with "bingbot" in Protector (mamba)

Updated:
 - HTML Purifier to 4.4.0 (mamba)
 - TinyMCE to 3.4.9 (mamba)
 - jQuery to 1.72 (mamba)
 - jQueryUI to version 1.8.18 (mamba)

===================================
2.5.5 Beta      2012/02/19
===================================
Security fixes:
 - XSS (Cross Site Scripting) vulnerability in PM module and tinymce (High-Tech Bridge Security Research Lab/trabis)

Bugfixes:
 - Templates Manager does not handle single quotes correctly (trabis)
 - $xoTheme->addScript('', '', 'content here'); causes duplicate CDATA on cached pages (wishcraft/trabis)
 - System admin maintenance table names are incorrect if db_prefix length is not 4 (trabis)
 - System admin users advance search displays wrong results when using 'contains' or 'equal' in some fields (trabis)
 - System admin users pagination not working correctly for some fields (trabis)
 - System admin users blank page when site as many users (trabis)
 - /class/object.php deprecated message, should be /class/xoopsobject.php (mamba/trabis)
 - /class/module.php deprecated message, should be /class/xoopsmodule.php (mamba)
 - /class/user.php deprecated message, should be /class/xoopsuser.php (mamba)
 - ID: 3443381 Images stored in database not given correctly in edit mode (mage)
 - ID: 3201929 Change upper limit for Banner impressions (mamba/mage)
 - ID: 3432275 html structure (kris_fr/mage)
 - ID: 3461539 Incorrect value for setOrder() in modulesadmin/main.php (mage)
 - ID: 3469896 When deleting client, it doesn't delete finished banners (mamba/mage)
 - ID: 3442270 Date format and Xoops 2.5.4 (cesag/formuss)

Improved:
 - Add key 'uid' on 'groups_users_link' table to allow joining 'users' table with better performance (trabis)
 - Add Comments, Templates, and Uninstall links to Module's Admin (mamba)

Updated:
 - TinyMCE to 3.4.8 (mamba)
 - jQuery to 1.71 (mamba)
 - jQueryUI to version 1.8.17 (mamba)
 - PhpMailer to version 5.2.1 (mamba)

===================================
2.5.4 Final     2011/11/20
===================================
Bugfixes:
 - ID: 3430112 Java problem in xoops editor (voltan/mamba/trabis)
 - dhtml smilie is always inserted in the end (mamba/trabis)
 - tinymce using body background color (trabis)
 - jquery ui css no loaded correctly on admin side (trabis)
 - ID: 3432017 HTML tags not closed (kris_fr/mamba)

Updated:
 - updated jQuery to 1.7 (mamba)

===================================
2.5.4 RC        2011/10/10
===================================
Bugfixes:
 - quoteConv causing problems with large number of quotes (Roby73/trabis)
 - Cache bug. The key's not generated correctly (andrey3761/trabis)
 - ID: 3425970 Unknown: Function split() (cesag/trabis)
 - ID: 3424295 Undefined index: tplset (cesag/trabis)
 - Preferences not using description field correctly, tooltip showing title and description without space (trabis)
 - Extra height in admin page when warnings are not displayed (timgno/trabis)
 - Files loaded with browse.php (*.js, *.css, etc) are not cached by the browser (trabis)
 - ID: 3421180 CBB 4.05 and Xoops 2.5.4 error with Framework (cesag/trabis)

Improved:
 - Replacing deprecated Database::getInstance(); calls with XoopsDatabaseFactory::getDatabaseConnection(); (trabis)
 - Logging deprecated methods and files that will be removed on XOOPS 2.6.0 (trabis)

===================================
2.5.4 Beta      2011/10/05
===================================
Bugfixes:
 - Remove a call of non existing css file in admin menu
 - ID: 3419812 Drag and drop Xoops 2.5.3 bug (cesag/trabis)
 - Calendar form element does not work properly (trabis)
 - Make sure xoops_data/data is writable during install (trabis)
 - ID: 3419332 Logout bug (cesag/trabis)

Updated:
 - Update jQueryUI to version 1.8.16 (voltan)
 - Update tinymce to version 3.4.6 (ForMuss)
 - Update PhpMailer to version 5.1 (dhsoft)
 - Update jQuery o version 1.6.4 (ForMuss)
 - Update Core modules (PM, Profile, Protector) to ModuleAdmin GUI (mamba)

Deleted:
 - Delete xoops_lib/data/secure.php file for exclude update error

===================================
2.5.3           2011/10/03
===================================
Bugfixes:
 - Style switcher does not work on default admin GUI(trabis)
 - Reverting fix for bug ID: 2672723 Changed the code in Install to omits the SQL command: "ALTER DATABASE ... CHARACTER SET ..." (trabis)

===================================
2.5.2 Final     2011/09/29
===================================
Bugfixes:
 - ID: 3416069 - avatars upload problem (cesag/trabis)
 - MyTextSanitizer::htmlSpecialChars() using UTF-8 by default (trabis)
 - System Waiting block produces queries for inactive modules (trabis)
 - 'Selected modules does not exist' if using inactive module on startpage (trabis)

===================================
2.5.2 RC        2011/09/06
===================================
Security fixes:
 - Removed support for script driven images!!! (High-Tech Bridge Security Research Lab/trabis)
 - Fixed XSS (Cross Site Scripting) vulnerability in /include/formdhtmltextarea_preview.php (High-Tech Bridge Security Research Lab/trabis)
Bugfixes:
 - Protector Module - Added stopforumspam option (trabis)
 - Modules admin does not show update warning for modules that have no main. (trabis)
 - ID: 3411696 custom avatar is not deleted after user change avatar (sabahan)
 - XoopsCaptcha does not load captcha configs correctly (trabis)
 - XoopsCaptcha is not allowing the use of Frameworks folder (trabis)
 - XoopsCaptcha(Method) is not extensible enough, can't add new captcha methods without hacking (trabis)
 - ID: 2909799 Unbalanced [quote] introduces unbalanced <div> tag (ghia/trabis)
 - ID: 2704039 backend.php does not work in 2.3.3 (drieben/trabis)
 - ID: 3026492 Xoops Forms using Single Quotes For Html tags (catzwolf/trabis)
 - ID: 3000518 Required fields for registration are not always enforced(csware/trabis)
 - ID: 2795050 user profile Bug (zaza123/trabis)
 - ID: 3014493 SQL structure duplicates wrongly PM module table (ghia/mamba)
 - ID: 3139081 xoops_error displays array dump (madreus/trabis)
 - ID: 2937966 Reusing loop variable in preferences (ghia/trabis)
 - ID: 2843028 Bug fonction "checkRight" class XoopsGroupPerm (mageg/trabis)
 - ID: 2827946 Required list message doesn't appear (daviddu54/trabis)
 - cleanVars() does not enforce array() on vars of type 'array' (trabis)
 - XoopsUserUtility::validate() {$uid} not set in query (trabis)
 - ID: 3410742 Broken Message Icon Image for core pm. (sabahan/Mamba)
 - ID: 2672723 Changed the code in Install to omits the SQL command: "ALTER DATABASE ... CHARACTER SET ..." if it's not needed. (bs_php)
 - ID: 1988039 does not accept some valid email addresses (anderssk/trabis)
 - ID: 1889743 Installation of module fails if SQL file ends with a comment (ojobazos/trabis)
 - ID: 1811479 Showing the right block in the wrong place: Top page wrong d (nachenko/trabis)
 - ID: 3409728 PM Module : Missing message icon in readpmsg.php (sabahan/Mamba)
 - ID: 3409391 From module condition check error in pmlite.php (zyspec)
 - ID: 2959764 Path with spaces causes bad login redirect (bhardie/trabis)
 - ID: 2843027 Bug class criteria GroupBy (mageg/trabis)
 - $block = new XoopsBlock($id); not assigning block vars. (trabis)
 - ID: 3403521 System Block Class, getContent var case inconsistency (zyspec/trabis)
 - ID: 2956172 Internet Explorer 8 and Alt-attribute (drieben/mamba)
 - ID: 3408962 theme set during install & register (sabahan/formuss)
 - ID: 3408955 comment display mode standardization (sabahan/formuss)
 - ID: 3288975 javascript calendar date format localization (ianez/formuss)
 - ID: 3059263 Word Censoring Options not work (trabis)
 - ID: 3408572 zetadigme admin gui - top banner bug (sabahan)
 - ID: 3090520 class xoopsform default date (philou_themes)
 - ID: 3408236 PM Module - Missing Message Icon selector (sabahan/Mamba)
 - ID: 2340215 Not possible to use URL link in images (marcoxoops/Mamba)
 - ID: 3406494 Geshi support in textsanitizer, syntaxhighlight incomplete (zyspec/trabis)
 - ID: 3074089 XoopsModelSync, synchronization method always returns true (zyspec/Formuss)
 - ID: 3404935 Avatar for new users is set to 'blank.gif' (trabis/Formuss)
 - ID: 3407347 Somewhat weird for the xoops_data, xoops_lib directory (trabis)
 - ID: 3404306 message is delete directly no confirmation yes or no (trabis)
 - ID: 3383092 Cache problems with Stylesheets (trabis)
 - ID: 3406326 Setting of Message image not implemented in Core pmlite.php  (Mamba)
 - ID: 3406244 Read/Unread PM Module indicator in Core  (sabahan/Mamba)
 - ID: 3197093 formcheckbox.php validation not working in xoops 2.5.1a (Satrebil/trabis)
 - ID: 2952506 Read/Unread PM Module indicator  (sarahmx/Mamba)
 - ID: 3404307 read and unread pm icon (Sabahan/Mamba)
 - ID: 3404000 display of empty profile field (sabahan/trabis)
 - ID: 3403568 avatar problem (sabahan/Formuss)
 - ID: 3291912 multilanguage Language Issue (sabahan/Formuss)
 - ID: 3241757 Module Update Error Messages (zyspec/Formuss)
 - ID: 3400039 When module is deactivated, blocks are still active (Mamba/Formuss)
 - ID: 3252445 Setting avatar display "off" in System Avatar has no effect (Mamba/Formuss)
 - ID: 2482129 Huge number of files created in /smarty_cache (trabis)
 - ID: 3109230 Cloned template are not accessible (Drieben/Formuss)
 - ID: 3288284 Uninitialized variable in gui.php (Mamba/Formuss)
 - ID: 3252474 Missing "Delete" action icon on Custom Avatars (Mamba/Formuss)
 - Fix an error for display admin template (Mage/Formuss)
 - Activate/Deactivate module was not updating xoops_active_modules cache file(trabis)
 - ID: 3273466 Banner : Add new advertiser (Tatane/Formuss)
Added:
 - Added renderValidationJS() for captcha (trabis)
 - Recaptcha catpcha support (ghia/DhSoft/trabis)
 - Preview button for blocks (trabis)
 - "admin_warnings_enable" option in xoops_data/configs/xoopsconfig.php (trabis)
 - Preload event 'checkcache' on header.php to allow disable caching on specific conditions (trabis)
 - XoopsObject::getVar() case 'n' for XOBJ_DTYPE_ARRAY/XOBJ_DTYPE_UNICODE_ARRAY to allow getting raw value (trabis)
Improved:
 - Changed "debugLevel" default option to 2(admins only) in xoops_data/configs/xoopsconfig.php(trabis)
 - XoopsGroupPermHandler::getRight() as new parameter $trueifadmin to allow modules to set admin permissions (trabis)
 - subject icons in private messages to be set by sender and not by the system (mamba)
 - Blocks admin using cookies to save select boxes status (trabis)
 - Moved js and css from xo_scripts template into gui class(using $xoTheme) to avoid module conflicts
 - require class/xoopslocal.php causing problems with RMCommon (mamba/trabis)

===================================
2.5.2 Beta      2011/04/12
===================================
Bugfixes:
 - Module names and orders were not able to update (phppp/aitor)
 - Custom block was not able to add due to missing of 'block_type' (phppp/tatane/mr-reda04_fr/aitor)
 - System avatars not set in DB (voltan)
 - Improved translations (phppp/mamba)


===================================
2.5.1 Final     2011/03/23
===================================
Bugfixes:
 - ID: 3219412 Block Cloning : parent module (mid) not saved when cloning(trabis)
 - ID: 3219408 Block management : data not saved when editing(trabis)
 - ID: 3229007 Setting # of banner impressions has no effect(trabis)


===================================
2.5.1 RC        2011/03/15
===================================
Updates:
 - Updated suico and zetagenesis themes, zetadigme system admin theme (kris_fr)

===================================
2.5.1 RC        2011/03/15
===================================
Security improvements:
 - Added filters to output data to avoid potential XSS (phppp/Aung Khant)
Updates:
 - Update zetadigme admin gui (kris_fr)
 - New MIME types (mojtabajml/kris_fr)
 - Update jquery and jquery ui to last version (voltan)
 - Fix bug in help page url in modules/system/class/gui.php (voltan)
 - Add image URL show option in Image Manager (voltan)
Bugfixes:
 - ID: 3168899 Module weight Arrangment bug, change order only for visible blocks (trabis)
 - ID: 3167970 Banner edit generates a new banner(trabis)
 - ID: 3153597 Banner management: URL click mandatory(trabis)
 - ID: 3111137 Module Block is cloned as custom block(trabis)


===================================
2.5.0           2010/10/23
===================================
Bug Fixes:

 - Fix security bug in Profile (gaba/phppp)
 - Fix save in edit avatar and change path to avatar in form (formuss)
 - include jQuery in admin page (formuss)
 - Fix: Banners - "add" buttons disappear after deleting all banners. (trabis)
 - Fix: Banners - Blank page when deleting clients. (trabis)
 - Fix: Impossible to edit a user if uname contains a ', it shows uname already taken. (trabis)
 - Fix: Some user defines(Error messages) were placed in blocks language file! They were moved to user language file and renamed. (trabis)
 - Fix: Impossible to "delete" or "update groups" of selected users. Table sorting does not work with select fields! Table sorting was disabled for now. Also, the action for deleting users was not matching the action requested by the submit form.
 - Improving fix for "Arbitrary file deletion" reported by Ono. Make sure file is inside "themes" directory. (onokazu/trabis)
 - Fixing Xss attack, and possible sql injections on admin user page(reported by Ono).. (onokazu/trabis)
 - Added 3 language constants for interest, occupation and location for usage on "search user" page. . (trabis)
 - Altered 3 language constants for interest, occupation and location used on "add/edit user" page.. (trabis)
 - Fixed error messages constants that were using old definitions. . (trabis)
 - Fixing "full path disclosure" (onokazu/trabis)
 - Fix an error when we commit with blank.gif (formuss)
 - Add default image for avatar (formuss)
 - Clean variables passed by submit (formuss)
 - Add case in clean variable function (formuss)
 - Load english language as default (formuss)
 - Fix errors with _AM_SYSTEM_DBUPDATED define in sub file (formuss)
 - Fix an error on banners client deletion (formuss)
 - Fix banners error on search client name (formuss)
 - Fix an error when add smilies with existing file (formuss)
 - Fix banners error on search client name (formuss)
 - Fix an error when add smilies with existing file (formuss)
 - Fix an error with IE (formuss)
 - Fix problem for changing module name (formuss)
 - ID: 3089455 (wrong width in Profile Style.css) (Mamba)
 - ID: 3081037 (Updated PHP & MySQL requirementes) (Anderssk/Mamba)
 - ID: 3089251 (Checkboxes in Block Accees not working) (Mamba/Formuss)
 - ID: 3085003 (Info buttons not linked) (Mamba/Formuss)
 - ID: 3084587 (Typo in xmlrpc.php) (Wishcraft/Mamba)
 - ID: 3000221 (TYPE=MyISAM replaced by ENGINE=MyISAM) (Ghia/Mamba)
 - Division by zero in banners.php (trabis)
 - $myts not defined in banners.php (trabis)
 - function xoops_getbanner() may delete a newly created banner (trabis)
 - ID: 3060263([code] still translate to double <code> tags in 2.4.5 Final/madreus)(trabis)
 - Templates that use xoAppUrl or xoImgUrl (themes/default/modules/system/system_redirect.html, etc) do not compile correctly during module update (trabis)
 - XOOPS_SYSTEM_COMMENT not defined, comment permissions not working correctly (trabis)
 - Banner count being incremented in admin pages and twice for redirect pages (trabis)
 - ID: 2153663 (Preview function/anderssk) (trabis)
 - ID: 2929230 (DHTML AJAX can tackle server/ghia) (trabis)
 - ID: 3033138 (XoopsLists::getHtmlList method needs updating/zyspec) (trabis)
 - ID: 3023820 (Error in folder class/formuss) (trabis/formuss)
 - XoopsFormDhtmlTextArea validation not working (trabis)
 - Removing file class/xoopsform/formtree.php, class is not working and not following Xoops naming conventions (trabis)

Design Fixes:
 - update legacy admin gui (change link in header) - xoops 2.5.0 (kris_fr)
 - correction of image links and cleaning css code in legacy admin gui (kris_fr)
 - correction and cleaning css code and deleting unused images in installer (kris_fr)
 - correction define language, cleaning css code and deleting unused files in zetadigme admin gui (kris_fr)
 - fix tooltips in zetadigme admin gui (kris_fr)
 - design template system_preferences.html in zetadigme admin gui (kris_fr)
 - suico theme : delete french language, correction filemanager link and language define for baradmin/footerstatic, add if no avatar in userbar popup (kris_fr)
 - suico theme : minors fixes for list : ol li (kris_fr)
 - fix suico thm for ie (kris_fr)
 - fix and cleaning css code in modules/system/css (kris_fr)
 - complete generic class in modules/system/css/class.css (kris_fr)
 - rebuild default admin gui based by morphogenesis 3.1.3 (voltan)
   * incativ orange skin (voltan)
 - add new style Sheet for installer and upgrade script (voltan)
 - update zetagenesis theme for xoops 2.5.0 : add new links, images and language defines in footer admin (kris_fr)
 - minors fixes css in zetagenesis theme : link hover for #xo-logger-tabs, accordion transition effect (kris_fr)
 - remove old tag/style css in system blocks templates - replace by generic class (kris_fr)
 - complete xoops.css with basic styles and generic class used in system module, themes and admin gui (kris_fr)
 - replace old/tag styles by generic class for module system templates (kris_fr)
 - little cosmetic cleaning / generic class in admin templates (kris_fr)
 - cosmetic cleaning / generic class in pm module templates (kris_fr)
 - cosmetic cleaning / generic class in profile module templates (kris_fr)
 - cosmetic cleaning / generic class in php files (kris_fr)
 - add xoops.css to system_imagemanager.html (kris_fr)
 - add imagemanager.css for imagemanager.html (voltan)
 - redesign fatal error message (kris_fr)
 - redesign upgrade process (kris_fr)
 - complete legacy admin gui : icons missing and link for help page (kris_fr)
 - fix block theme with pm module (kris_fr)
 - fix td align in pm_pmlite.html (kris_fr)
 - fix cookie Styleswitch - problem with old orange style for default admin gui (kris_fr)
 - fix color link under ie8/9 in default admin gui footer (kris_fr)
 - add help page in zetadigme admin gui (kris_fr)

XOOPS:
 - user.php: User page
   * Change destroy session for jGrowl redirection
 - xoops.css: Xoops stylesheet
   * Add jGrowl style
 - class/smarty/xoops_plugins/resource.db.php: Smarty plugin (Modify)
   * Search template for module, permit to have two template with the same name in different module
   * Construct template path for front and backend side
   * Fix an error for find template
 - class/smarty/xoops_plugins/compiler.xoAdminIcons.php: Smarty plugin for find icons (Add)
 - class/smarty/xoops_plugins/compiler.xoAdminNav.php:: Smarty plugin for breadcrumb (Add)
 - class/theme.html: XOOPS Theme (Modify)
   * Change path to admin theme
 - include/defines.php: XOOPS Constants (Modify)
   * Change path and url for admin area
 - xoops_lib/Frameworks/jquery/jquery.js: JQuery file (Modify)
   * Update jQuery to latest version
 - xoops_lib/Frameworks/jquery/plugins/jquery.form.js (Add)
 - xoops_lib/Frameworks/jquery/plugins/jquery.jgrowl.js (Add)
 - xoops_lib/Frameworks/jquery/plugins/jquery.lightbox.js (Add)
 - xoops_lib/Frameworks/jquery/plugins/jquery.tablesorter.js (Add)
 - xoops_lib/Frameworks/jquery/plugins/jquery.ui.js (Add)
 - include/comment_form.php (Modify)
   * Add choice of text editor module system in the comment form

Install:
 - install/include/makedata.php: Save default data for system module (Modify)
   * Add some new setting in config table and new template for admin
 - install/language/english/mysql.lang.data.sql: SQL data
   * Change folder location

System module:
 - /modules/system/admin/modulesadmin/modulesadmin.php
  * Adding extra module-related links to the just installed modules (Add) Mamba
 - modules/system/header.php: System constants (Add)
   * use specific header for all system module
 - modules/system/admin.php: Admin main page (Modify)
   * use system function for load admin language file
   * use template for main admin page
   * Use function for get system setting
 - modules/system/help.php: Help page (Add)
   * Add content to help index page and first page of all modules (Voltan)
 - modules/system/constants.php: System constants (Modify)
   * Add new constant variables for system module
 - modules/system/menu.php: System menu (Modify)
   * Use user right for manage menu
 - modules/system/class/gui.php: Xoops Cpanel GUI abstract class (Modify)
   * Manage template file in admin side and move admin theme in specific folder
 - modules/system/class/cpanel.php: Xoops Cpanel class (Modify)
   * Change path to admin theme
 - modules/system/xoops_version.php: System setting (Modify)
   * Clean code and add admin template and system settings
 - modules/system/blocks/system_blocks.php (Modify)
   * Add waiting content for some modules

pm module:
 * Changing the admin menu. Using the menu generated by the module system
 - modules/pm/admin/admin.php (Modify)
 - modules/pm/admin/header.php (Modify)
 - modules/pm/admin/prune.php (Modify)
 - modules/pm/changelog.txt (Modify)
 - modules/pm/xoops_version.php (Modify)

profile module:
 * Changing the admin menu. Using the menu generated by the module system
 - modules/profile/admin/category.php (Modify)
 - modules/profile/admin/field.php (Modify)
 - modules/profile/admin/header.php (Modify)
 - modules/profile/admin/header.php (Modify)
 - modules/profile/admin/permissions.php (Modify)
 - modules/profile/admin/step.php (Modify)
 - modules/profile/admin/user.php (Modify)
 - modules/profile/changelog.txt (Modify)
 - modules/profile/xoops_version.php (Modify)


Templates:
 - modules/system/templates/admin: Folder for all admin template files (Add)
 - modules/system/templates/admin/index.html: Secure HTML file (Add)
 - modules/system/templates/admin/system_header.html: Template for breadcrumb, tips and help (Add)
 - modules/system/templates/admin/system_avatar.html: Template for avatars (Add)
 - modules/system/templates/admin/system_banners.html: Template for banners (Add)
 - modules/system/templates/admin/system_blocks.html: Template for blocks (Add)
 - modules/system/templates/admin/system_blocks_item.html: Sub template for blocks (Add)
 - modules/system/templates/admin/system_comments.html: Template for comments (Add)
 - modules/system/templates/admin/system_groups.html: Template for groups (Add)
 - modules/system/templates/admin/system_images.html: Template for images (Add)
 - modules/system/templates/admin/system_mailusers.html: Template for mail to users (Add)
 - modules/system/templates/admin/system_maintenance.html: Template for maintenace (Add)
 - modules/system/templates/admin/system_modules.html: Template for modules (Add)
 - modules/system/templates/admin/system_modules_confirm.html: Template for modules (Add)
 - modules/system/templates/admin/system_preferences.html: Template for preferences (Add)
 - modules/system/templates/admin/system_smilies.html: Template for smilies (Add)
 - modules/system/templates/admin/system_templates.html: Template for templates (Add)
 - modules/system/templates/admin/system_userrank.html: Template for user ranks (Add)
 - modules/system/templates/admin/system_users.html: Template for users (Add)
 - modules/system/templates/admin/system_help.html: Template for help (Add)
 - modules/system/templates/admin/system_index.html: Template for index (Add)

Help:
 - modules/system/language/english/help/avatars.html: Help file for avatars

CSS:
 - modules/system/css: Folder for CSS file (Add)
   * Create a folder for put all CSS file used by system module
 - modules/system/css/index.html: Secure HTML file (Add)
 - modules/system/css/admin.css: CSS file for system module (Add)
 - modules/system/css/button.css: CSS file for buttons (Add)
 - modules/system/css/class.css: CSS file for standard class (Add)
 - modules/system/css/admin.css: CSS file for help section (Add)
 - modules/system/css/lightbox.css: CSS file for help lightbox (Add)
 - modules/system/css/help.css: CSS file for help pages (Add)
 - modules/system/css/code_mirror/*: Code mirror stylesheet files

Images:
 - modules/system/images/icons/*: Icons folder (Add)
 - modules/system/images/breadcrumb/*: Breadcrumb folder (Add)
 - modules/system/images/mimetypes/*: Mimetypes folder (Add)
 - modules/system/images/bg_button.gif: Background images button (Add)
 - modules/system/images/loading.gif: Loading images (Add)
 - modules/system/images/spinner.gif: Small loading images (Add)
 - modules/system/images/bg_content.gif (Delete)
 - modules/system/images/bg_menu.gif (Delete)
 - modules/system/images/check.gif (Delete)
 - modules/system/images/hbar_left.gif (Delete)
 - modules/system/images/hbar_middle.gif (Delete)
 - modules/system/images/hbar_right.gif (Delete)
 - modules/system/images/info.gif (Delete)
 - modules/system/images/install.gif (Delete)
 - modules/system/images/logo.gif (Delete)
 - modules/system/images/menu.gif (Delete)
 - modules/system/images/powered_by_xoops.gif (Delete)
 - modules/system/images/uninstall.gif (Delete)
 - modules/system/images/update.gif (Delete)
 - modules/system/images/xoops2.gif (Delete)

JS:
 - modules/system/js: Folder fo JS files (Add)
 - modules/system/js/index.html: Secure HTML file (Add)
 - modules/system/js/admin.js: Main JS file for system module (Add)

Breadcrumbs:
 - modules/system/class/breadcrumb.php: Class for breadcrumb toolbar
   * Manage the breadcrumb in system module

Thumbs:
 - modules/system/class/thumbs: Thumbs class for avatar and image gallery (Add)
   * Class for generate thumbs images

Avatars:
 - edituser.php: Xoops edit user page (Modify)
   * Create a specific folder in uploads directory for avatars
 - modules/profile/edituser.php: Profile edit user page (Modify)
   * Create a specific folder in uploads directory for avatars

 - modules/system/admin/avatars/xoops_version.php: Avatars configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/avatars/main.php: Main avatar managment (Modify)
   * Code cleanup and use of a specific class to manage Avatars
 - modules/system/class/avatar.php: System class for Avatars (Modify)
   * Manage avatars with a specific class
 - modules/system/language/english/admin/avatar.php: Avatar define variable (Modify)
   * Changed define name to follow XOOPS standard

Banners:
 - modules/system/admin/banners/xoops_version.php: Banners configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/banners/main.php: Main banners managment (Modify)
   * Code cleanup and use of a specific class to manage Banners
 - modules/system/admin/banners/banners.php (Delete)
 - modules/system/class/banner.php: Banners Class Manager (Add)
   * Manage banners with a specific class
 - modules/system/class/bannerclient.php: Banners Client Class Manager (Add)
   * Manage banners client with a specific class
 - modules/system/class/bannerfinish.php: Banners Finish Class Manager (Add)
   * Manage banners finish with a specific class
 - modules/system/language/english/admin/banners.php: Banners define variable (Modify)
   * Changed define name to follow XOOPS standard

Blocks:
 - modules/system/admin/blocksadmin/xoops_version.php: Blocks configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/blocksadmin/main.php: Main block managment (Modify)
   * Code cleanup and use of a specific class to manage Blocks
 - modules/system/admin/blocksadmin/blockform.php (Delete)
 - modules/system/admin/blocksadmin/blocksadmin.php (Delete)
 - modules/system/class/block.php: Block Class Manager (Add)
   * Manage blocks with a specific class
 - modules/system/class/blocklinkmodule.php: Block link to module Class Manager (Add)
 - modules/system/class/cookie.php: Class for manage cookie
 - modules/system/language/english/admin/blocksadmin.php: Block define variable (Modify)
   * Changed define name to follow XOOPS standard

Comments:
 - modules/system/admin/comments/xoops_version.php: Comments configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/comments/main.php: Main comments managment (Modify)
   * Code cleanup and use of a specific class to manage Comments
 - modules/system/admin/comments/admin_header.php: Comment Header (Modify)
 - modules/system/admin/comments/comment_delete.php: Comment delete file (Modify)
 - modules/system/admin/comments/comment_edit.php: Comment edit file (Modify)
 - modules/system/admin/comments/comment_post.php: Comment post file (Modify)
 - modules/system/language/english/admin/comments.php: Comment define variable (Modify)
   * Changed define name to follow XOOPS standard

Find users:
 - modules/system/admin/findusers/xoops_version.php: Find user configuration files (Delete)
 - modules/system/admin/findusers/main.php: Main find user managment (Delete)
 - modules/system/language/english/admin/findusers.php: Find user define variable (Delete)

Groups:
 - modules/system/admin/groups/xoops_version.php: Groups configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/groups/main.php: Main groups managment (Modify)
   * Code cleanup and use of a specific class to manage Comments
 - modules/system/admin/groups/groupform.php (Delete)
 - modules/system/admin/groups/groups.php (Delete)
 - modules/system/class/group.php: Group Class Manager (Add)
   * Manage group with a specific class
   * Add All check box for group form
 - modules/system/language/english/admin/groups.php: Groups define variable (Modify)
   * Changed define name to follow XOOPS standard

Images:
 - modules/system/admin/images/xoops_version.php: Images configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/images/main.php: Main Images managment (Modify)
   * Code cleanup and use of a specific class to manage Images
 - modules/system/language/english/admin/images.php: Images define variable (Modify)
   * Changed define name to follow XOOPS standard

Mail users:
 - modules/system/admin/mailusers/xoops_version.php: Mail to users configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/mailusers/main.php: Main mail to users managment (Modify)
   * Code cleanup and use of a specific class to manage Mail to users
 - modules/system/admin/groups/mailform.php (Delete)
 - modules/system/admin/groups/mailusers.php (Delete)
 - modules/system/language/english/admin/mailusers.php: Mail to users define variable (Modify)
   * Changed define name to follow XOOPS standard

Maintenance:
 - modules/system/admin/maintenance/xoops_version.php: Maintenance configuration files (Add)
   * Changes to use the same variables for image and help
 - modules/system/admin/maintenance/main.php: Main Maintenance managment (Add)
   * Use a specific class for manage maintenance
 - modules/system/admin/maintenance/dump: Folder for database dump (Add)
 - modules/system/class/maintenance.php: Maintenance Class Manager (Add)
   * Manage maintenance with a specific class
 - modules/system/language/english/admin/maintenance.php: Maintenance variable (Add)
   * Changed define name to follow XOOPS standard

Modules:
 - modules/system/admin/modulesadmin/xoops_version.php: Maintenance configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/modulesadmin/main.php: Main Maintenance managment (Modify)
   * Update code and use drag'n drop for define position
 - modules/system/modulesadmin/modulesadmin.php: Modules functions (Modify)
   * Change header file and change log display
 - modules/system/language/english/admin/modulesadmin.php: Maintenance variable (Modify)
   * Changed define name to follow XOOPS standard

Preferences:
 - modules/system/admin/preferences/xoops_version.php: Preferences configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/preferences/main.php: Preferences managment (Modify)
   * Clean code for manage preferences
 - modules/system/language/english/admin/preferences.php: Preferences variable (Modify)
   * Changed define name to follow XOOPS standard

Smilies:
 - modules/system/admin/smilies/xoops_version.php: Smilies configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/smilies/main.php: Smilies managment (Modify)
   * Code cleanup and use of a specific class to manage smilies
 - modules/system/admin/smilies/smileform.php (Delete)
 - modules/system/admin/smilies/smilies.php (Delete)
 - modules/system/class/smilies.php: Smilies Class Manager (Add)
   * Manage smilies with a specific class
 - modules/system/language/english/admin/smilies.php: Smilies variable (Modify)
   * Changed define name to follow XOOPS standard

Templates:
 - modules/system/admin/tplsets/xoops_version.php: Templates configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/tplsets/main.php: Templates managment (Modify)
   * Change code for use template editor (code mirror)
 - modules/system/admin/tplsets/jquery.php: jQuery File Tree PHP Connector (Add)
 - modules/system/admin/tplsets/themeimgform.php (Delete)
 - modules/system/admin/tplsets/tplform.php (Delete)
 - modules/system/language/english/admin/tplsets.php: Templates variable (Modify)
   * Changed define name to follow XOOPS standard

Ranks
 - modules/system/admin/userrank/xoops_version.php: User ranks configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/userrank/main.php: User ranks managment (Modify)
   * Code cleanup and use of a specific class to manage user ranks
 - modules/system/admin/userrank/rankform.php (Delete)
 - modules/system/admin/userrank/userrank.php (Delete)
 - modules/system/class/userrank.php: User ranks Class Manager (Add)
   * Manage user ranks with a specific class
 - modules/system/language/english/admin/userrank.php: User ranks variable (Modify)
   * Changed define name to follow XOOPS standard

Users:
 - modules/system/admin/users/xoops_version.php: User configuration files (Modify)
   * Changes to use the same variables for image and help
 - modules/system/admin/users/main.php: User managment (Modify)
   * Code cleanup and use of a specific class to manage user
 - modules/system/admin/users/users.php: Users functions (Modify)
   * Code cleanup and use of a specific class to manage user
 - modules/system/admin/users/jquery.php: jQuery File Tree PHP Connector (Add)
 - modules/system/admin/users/userform.php (Delete)
 - modules/system/class/users.php: User Class Manager (Add)
   * Manage user with a specific class
 - modules/system/language/english/admin/users.php: User variable (Modify)
   * Changed define name to follow XOOPS standard
